# 32/64bit spec-file
#
%define name	gfxboot
%define version	4.5.1
%define release	%mkrel 1

Summary:	Tools to create graphical boot logos
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Patch0:		gfxboot-3.3.18-mdv.patch
Patch1:		gfxboot-font.c.patch
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://en.opensuse.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:  docbook-dtd412-xml
BuildRequires:	%{_lib}x11-devel
BuildRequires:	freetype2-devel
ExclusiveArch:	%{ix86} x86_64

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%package        devel
License:        GPLv2+
Summary:        Tools for creating a graphical boot logo
Group:          Development/Libraries
Requires:	gfxboot = %version-%release

%description devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%prep
%setup -q
%apply_patches

%build
%make
%make doc

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std THEMES=""
install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/gfxboot.8 %{buildroot}%{_mandir}/man8

# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
install -d %{buildroot}%{_bindir}
# add adddir and keymapchars since they are used in mandriva-gfxboot-theme
# build system
cp %{_builddir}/%{name}-%{version}/bin/adddir %{buildroot}%{_bindir}/gfxboot-adddir
cp %{_builddir}/%{name}-%{version}/bin/keymapchars %{buildroot}%{_bindir}/gfxboot-keymapchars
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/gfxboot
%{_sbindir}/gfxtest
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%{_bindir}/gfxboot-adddir
%{_bindir}/gfxboot-keymapchars
%doc doc/gfxboot.html
%doc doc/gfxboot.txt


%changelog
* Fri Jun 06 2014 bb <bb> 4.5.1-1pclos2014
- update

* Fri Mar 21 2014 bb <bb> 4.4.5-2pclos2014
- add patch for freetype2

* Thu Jun 27 2013 Texstar <texstar at gmail.com> 4.4.5-1pclos2013
- 4.4.5

* Sat Dec 22 2012 Pinoc <vogtpet at gmail.com> 4.1.19-4pclos2013
- build for 2013 release

* Tue Jan 05 2012 Pinoc <vogtpet at gmail.com> 4.1.19-3pclos2012
- build for 2012 release
- renamed spec-file and changed source to xz 

* Tue Apr 06 2010 Texstar <texstar at gmail.com> 4.1.19-2pclos2010
- fix name to PCLinuxOS

* Wed Jan 13 2010 Texstar <texstar at gmail.com> 4.1.19-1pclos2010
- build for 2010 release

